.modal-dialog-with {
  width: 355px !important;
}

.search-feature_container {
  display: flex;
  position: relative;
  padding-left: 16px;
  height: calc(100vh - 72px);
  width: 536px;
  z-index: 3;
}

.search-form_top {
  display: flex;
  align-items: center;
  overflow: hidden;
  vertical-align: middle;
  width: 350px;
  border-radius: 24px;
  background-color: #FAFBFD;
  padding: 0 16px;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
  margin: 0px;
  position: relative;
}

/* 検索入力文字のサイズ */
.search-form_top input {
  width: 278px;
  height: 40px;
  /* padding-right: 16px; */
  border: none;
  box-sizing: border-box;
  color: #141415;
  font-size: 14px;
  outline: none;
  float: left;
  background-color: transparent;
}

.search-form_top button.search-decition {
  border-radius: 5px;
  border: none;
  background: transparent;
  cursor: pointer;
  padding: 0;
}

.search-form_top button.search-decition:hover {
  color: #fff;
  background: transparent;
}

.search-form_top.focused {
  box-shadow: inset 0 0 0 1px #0D1B36;
}

/* 矢印を消すためのCSS */
.search-box::-webkit-calendar-picker-indicator {
  width: 0;
  margin: 0;
  padding: 0;
  opacity: 0;
}

.search-box::placeholder {
  color: #5B5F66;
  font-size: 14px;
}

.function_container {
  display: flex;
  gap: 5px;
  margin: 0 24px;
  flex-wrap: wrap;
  /* 折り返し */
}

.function_button {
  background-color: #273755;
  color: #fff;
  -webkit-box-align: center;
  -webkit-align-items: center;
  align-items: center;
  border-radius: 8px;
  display: flex;
  height: 32px;
  margin: 8px 0;
  padding: 0 12px;
  position: relative;
  text-decoration: none;
  font-size: 14px;
  box-shadow: 0 1px 2px rgba(60, 64, 67, 0.3),
    0 1px 3px 1px rgba(60, 64, 67, 0.15);
  cursor: pointer;
}

.function_button:hover {
  color: #fff;
  background-color: #30405e;
}

.function_button:active {
  color: #fff;
  background-color: #30405e;
}

.fa {
  margin-right: 5px;
}

::placeholder {
  color: #acacac;
  font-size: 16px;
}

.function_button-label {
  margin: auto;
}

#mms_switch.enable {
  background-color: orange;
}

#maplayer-list {
  position: absolute;
  top: 80px;
  right: 16px;
  left: auto;
  z-index: 2001;
  opacity: 0.9;
}

#open-forestry-searchform {
  background-color: #0d1b36;
  width: 45px;
  height: 45px;
  text-align: center;
  border: 1px solid;
  padding-top: 10px;
  border-radius: 10px;
  display: none;
  margin-left: auto;
  box-shadow: 0 1px 2px rgba(60, 64, 67, 0.3),
    0 1px 3px 1px rgba(60, 64, 67, 0.15);
}

/* レイヤーリストボタン */
#forestry-body {
  background-color: #0d1b36;
  border-radius: 10px;
  width: auto;
  z-index: 10002;
  padding: 0 16px;
}

.layer-icon {
  position: absolute;
  top: 80px;
  z-index: 2001;
  right: auto;
  left: 16px;
  background-color: #273755;
  color: #fff;
  align-items: center;
  border-radius: 8px;
  display: flex;
  height: 32px;
  margin: 8px 0;
  padding: 0 12px;
  text-decoration: none;
  font-size: 14px;
  box-shadow: 0 1px 2px rgba(60, 64, 67, 0.3),
    0 1px 3px 1px rgba(60, 64, 67, 0.15);
  cursor: pointer;
}

.layer-icon:hover {
  color: #fff;
  background-color: #30405e;
}

.container-top {
  padding: 10px 0 0;
  margin-top: 5px;
}

.map-item-container {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 4px 8px 4px 24px;
  margin: 4px 0;
}

.standard-map-container,
.standard-map-container input[type="checkbox"],
.standard-map-container label {
  cursor: default !important;
}

.map-item-container img {
  width: 30px;
  height: 30px;
  border-radius: 10px;
}

.map-item-container .maplayerlist-label {
  width: 194px;
  font-size: 13px;
  color: #141415;
}

/* 空中写真と森林計画図よう */
.map-item-container .doropDown-label {
  width: 172px;
  font-size: 13px;
}

.opacity-area {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  margin-left: 20px;
}

.registration-map {
  display: flex;
  font-size: 13px;
  color: #ccc;
}

.layerList {
  margin: 0;
  padding: 0px;
  display: flex;
  align-items: center;
  gap: 8px;
}

.map-item {
  margin-right: 0;
}

.forest-diagram {
  font-size: 13px;
  width: 194px;
  color: #fff;
}

.forestry-container {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 4px 0;
  padding: 4px 8px 4px 10px;
}

.forestry-container .layerSelection {
  display: block;
}

.forestry-container .layerSelection {
  display: block;
}

.forestry-container:hover .layerSelection {
  display: none;
}

.forestry-container .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: none;
}

.forestry-container:hover .a_tag2 {
  display: block;
}

/* 基本地図と3Dのコンテナ */
/* .information-container_top {
  margin-left: 16px;
} */

/* グループごとのコンテナ */
/* .information-container {
  margin-top: 12px;
} */

.information-container_under {
  margin: 0 0 16px;
}

.map-heading_top {
  color: #fff;
  margin-top: 12.5px;
  vertical-align: middle;
  font-size: 16px;
  margin-bottom: 0;
}

.map-heading {
  color: #fff;
  margin: 0;
  font-size: 16px;
}

.forestPlanningElements {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 4px 8px 4px 48px;
  margin: 4px 0;
}

/* マプリィリスト （スギ・ヒノキなど）*/
.container .maplayerlist-layers {
  display: flex;
  align-items: center;
  margin: 0;
  padding: 0;
}

/* チェックボックスの右側に6pxの余白を追加 */
#forestry-spacies input.map-item,
#forestry-spacies-2 input.map-item,
#spacies-spacies input.map-item,
#spacies-spacies-2 input.map-item {
  margin-right: 6px;
}

/* ラベルテキストの右側に12pxの余白を追加 */
.wood-type {
  color: #fff;
  font-size: 13px;
  margin-right: 12px;
}

.wood-type_last {
  color: #ccc;
  font-size: 14px;
}

/* スパンの右側に3pxの余白を追加 */
#forestry-spacies span.maplayerlist-legend,
#forestry-spacies-2 span.maplayerlist-legend,
#spacies-spacies span.legend,
#spacies-spacies-2 span.legend {
  margin-right: 3px;
}

/* チェック後のチェックボックスの背景色を赤にする */
input[type="checkbox"]:checked {
  border: 2px solid #1d9bf0;
  background-color: #1d9bf0;
  /* display: none; */
}

/* チェックボックスのデフォルトの外観を非表示にし、カスタムスタイルを適用する */
input[type="checkbox"] {
  appearance: none;
  width: 16px;
  height: 16px;
  background-color: #fff;
  border: 2px solid #ccc;
  cursor: pointer;
  position: relative;
  transform: none;
  /* display: none; */
}

/* チェック後のチェックボックスのカスタムスタイル */
input[type="checkbox"]:checked::before {
  content: "";
  position: absolute;
  top: 0;
  left: 3px;
  width: 7px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  transform: rotate(45deg);
  /* display: none; */
}

input[type="checkbox"]:disabled {
  background-color: #959799;
  border-color: #959799;
  display: none;
}

/* 成長曲線以外のinputを非表示 */
.create-check {
  display: none;
}

/* スライダーのスタイル */
.maplayerlist-opacity {
  width: 100px;
}

input[type="range"] {
  height: 4px;
  background: #ccc;
  cursor: pointer;
  border-radius: 5px;
}

/* レイヤーリスト */
.layer-list {
  position: relative;
  /* z-indexを有効にするため */
  z-index: 1000;
  /* 他の要素よりも高い値にする */
  box-shadow: 0 1px 2px rgba(60, 64, 67, 0.3),
    0 1px 3px 1px rgba(60, 64, 67, 0.15);
}

.layer {
  position: absolute;
  top: 80px;
  background-color: #0d1b36;
  left: 16px;
  z-index: 10002;
  max-height: 750px;
  overflow: auto;
  width: 270px;
  border-radius: 10px;
  opacity: 0.9;
}

.layer-list_top {
  display: flex;
  width: 100%;
  padding-left: 8px;
}

.layer-heading_top {
  color: #fff;
  vertical-align: middle;
  font-size: 18px;
  margin-bottom: 0;
}

/* #pitch-control {
  right: 50px;
  left: auto;
} */

/* 購入ボタン */
.buy_button {
  border-radius: 4px;
  background-color: #0075ff;
  padding: 10px 24px;
  text-decoration: none;
  color: white;
}

a.buy_button:hover {
  color: white;
  background-color: #0a6dc2;
}

#projectModePanelStyle {
  position: relative;
}


.list_checkBox {
  background-color: #FAFBFD;
  border-radius: 10px;
  width: auto;
  z-index: 10001;
  color: #FAFBFD;
  overflow-y: auto;
  position: fixed;
  display: none;
  top: 62px;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
}

/* スクロールバー全体 */
.list_checkBox::-webkit-scrollbar {
  width: 4px;
  /* スクロールバーの幅 */
}

/* スクロールバーのつまみ部分 */
.list_checkBox::-webkit-scrollbar-thumb {
  background-color: #616a7a;
  /* スクロールバーのつまみ色 */
  border-radius: 8px;
  /* つまみ周りの余白 */
}

/* スクロールバーのトラック（軌道部分） */
.list_checkBox::-webkit-scrollbar-track {
  border-radius: 8px;
  margin: 8px 0;
  /* 上下に余白を作り、スクロールバーを短くする */
}

/*右クリック時に表示するメニュー*/
.polygon-menu {
  display: none;
  color: #fff;
  position: absolute;
  top: 40px;
  right: 0;
  background: #3d3737;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  width: 210px;
}

.menu-view-toggle-button {
  background-color: #FAFBFD;
  color: #141415;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  height: 32px;
  width: 32px;
  padding: 12px;
  position: relative;
  text-decoration: none;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
}

.menu-button {
  background-color: #FAFBFD;
  color: #141415;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  height: 32px;
  width: 32px;
  position: relative;
  text-decoration: none;
  font-size: 14px;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
  gap: 8px;
}

.menu-button-label {
  margin: auto;
  font-size: 14px;
}

/* drawerナビの背景色 */
.drawer-nav {
  background-color: #0d1b36 !important;
}

.drawer--sidebar.drawer--left .drawer-nav {
  width: 366px !important;
}

.drawer-nav.close {
  display: none !important;
}

.drawer-wrapper {
  position: fixed;
  right: 16px;
  top: 72px;
  width: 350px;
  height: auto;
  max-height: calc(100vh - 72px);
  padding-bottom: 16px;
  z-index: 999;
  flex-direction: column;
}

.drawer-layer {
  flex-direction: column;
  flex: 1;
  /* drawerWrapper の高さに対して */
  background-color: rgba(250, 251, 253, 0.8);
  backdrop-filter: blur(30px);
  border-radius: 16px;
  overflow-y: auto;
  box-sizing: border-box;
  position: relative;
}

/* スクロールバー全体 */
.drawer-layer::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}

/* スクロールバーのつまみ部分 */
.drawer-layer::-webkit-scrollbar-thumb {
  background-color: #616A7A;
  border-radius: 8px;
}

/* スクロールバーのトラック */
.drawer-layer::-webkit-scrollbar-track {
  border-radius: 8px;
  margin: 8px 0;
}


.resize-handle-left-visual {
  position: absolute;
  top: 0;
  left: 0;
  width: 6px;
  height: 100%;
  cursor: ew-resize;
  background: transparent;
  z-index: 1;
}

.resize-handle-corner {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 16px;
  height: 16px;
  cursor: nesw-resize;
  z-index: 10;
}

.resize-handle {
  position: absolute;
  bottom: 0;
  left: 0;
  height: 6px;
  width: 100%;
  cursor: ns-resize;
  background: transparent;
}

.data-table-container {
  width: 350px;
  margin-top: 8px;
  display: none;
  overflow-y: auto;
}

.data-table-container.show-data-table {
  display: flex;
  flex-direction: column;
  flex: 1;
  align-self: flex-end;
  min-height: 0;
}

/* 画面サイズアイコンのみ表示 */
@media screen and (max-width: 1337px) {
  .function_button {
    background-color: #273755;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    height: 40px;
    width: 40px;
    margin: 4px 0;
    padding: 0 12px;
    position: relative;
    text-decoration: none;
    font-size: 14px;
    box-shadow: 0 1px 2px rgba(60, 64, 67, 0.3),
      0 1px 3px 1px rgba(60, 64, 67, 0.15);
  }

  .function_button-label {
    display: none;
  }

  .function_button:hover .function_button-label {
    display: block;
    position: absolute;
    bottom: -90%;
    /* ボタンの下に表示 */
    left: 50%;
    transform: translateX(-50%);
    background-color: white;
    color: black;
    padding: 5px 10px;
    border-radius: 5px;
    white-space: nowrap;
    z-index: 1;
    font-weight: 600;
  }

  .function_button:hover .function_button-label::after {
    content: "";
    position: absolute;
    top: -20%;
    left: 50%;
    transform: translateX(-50%);
    height: calc(tan(32deg) * 32px / 2);
    width: 32px;
    clip-path: polygon(50% 0, 100% 100%, 0 100%);
    background: white;
    z-index: -1;
  }

  .fa {
    margin: 0 auto;
  }

  .function_container {
    position: relative;
  }
}

.mms_table_sub {
  background: rgb(222, 227, 227);
  height: 4vh;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: none;
}

.mms_table_sub>p {
  padding: 0;
  margin: 0;
  font-size: 14px;
}

.mms_attribute {
  display: none;
  /* width: 100vw; */
  width: calc(100% - 586px);
  min-height: 30vh;
  background: white;
  bottom: 16px;
  right: 16px;
  z-index: 200;
  position: absolute;
  overflow: auto;
}

.mms_attribute_table {
  width: 100%;
  height: 26vh;
  background: white;
  bottom: 0;
  z-index: 200;
  position: absolute;
  overflow: auto;
}

/* スクロールバー全体 */
.mms_attribute_table::-webkit-scrollbar {
  width: 4px;
  /* スクロールバーの幅 */
}

/* スクロールバーのつまみ部分 */
.mms_attribute_table::-webkit-scrollbar-thumb {
  background-color: #616a7a;
  /* スクロールバーのつまみ色 */
  border-radius: 8px;
  /* つまみ周りの余白 */
}

/* スクロールバーのトラック（軌道部分） */
.mms_attribute_table::-webkit-scrollbar-track {
  border-radius: 8px;
  margin: 8px 0;
  /* 上下に余白を作り、スクロールバーを短くする */
}

.mms_image_preview {
  display: none;
  width: 300px;
  background: #ddd;
  bottom: 33vh;
  right: 16px;
  z-index: 200;
  position: absolute;
  overflow: auto;
  height: 220px;
  align-items: center;
  justify-content: center;
  border-top: 1px solid #ddd;
  border-left: 1px solid #ddd;
}

.mms_preview {
  width: 100%;
  display: block;
}

.mms_image_preview:hover {
  cursor: pointer;
}

.mms_image_preview:hover .mms_preview {
  opacity: 0.7;
  cursor: pointer;
}

.properties_table {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  border-spacing: 0;
  font-size: 13px;
}

.properties_table th {
  padding: 5px;
  background: white;
  border: solid 1px #ddd;
  position: sticky;
  min-width: 150px;
  z-index: 1;
}

.properties_table th:first-child {
  width: 15px;
}

.properties_table tbody tr:hover,
.properties_table tbody tr.mms_row_is_clicked {
  background-color: #f3f3f3;
  cursor: pointer;
}

.properties_table td {
  padding: 5px;
  border: solid 1px #ddd;
}

/* ×ボタン */

.batsu_frame {
  position: absolute;
  top: 5px;
  right: 30px;
  z-index: 202;
}

.batsu {
  display: block;
  position: relative;
  width: 30px;
  height: 30px;
  border: none;
}

.batsu:hover {
  background: none;
  color: #333;
}

.batsu::before,
.batsu::after {
  /* 共通設定 */
  pointer-events: none;
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 3px;
  /* 棒の幅（太さ） */
  height: 20px;
  /* 棒の高さ */
  background: #333;
  border-radius: 2.5px;
  /* 棒の四隅の丸み*/
}

.batsu::before {
  transform: translate(-50%, -50%) rotate(45deg);
}

.batsu::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

/* MMSお問い合わせツールチップキャンセルボタン */
.hover-icon {
  width: 16px;
  height: 16px;
}

.hover-icon:hover {
  background-color: #3b537f;
}

.mapboxgl-popup-close-button {
  height: 16px;
  width: 16px;
  font-size: 16px;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background-color 0.2s;
  margin-top: 11px;
  margin-right: 10px;
}

.mapboxgl-popup-close-button:hover {
  background-color: #DCDFE5;
}

.mapboxgl-popup-anchor-left .mapboxgl-popup-tip {
  align-self: center;
  border-left: none;
  border-right-color: #273755;
}

.mapboxgl-popup-anchor-right .mapboxgl-popup-tip {
  align-self: center;
  border-right: none;
  border-left-color: #273755;
}

.mapboxgl-popup-anchor-top-left .mapboxgl-popup-tip {
  align-self: flex-start;
  border-top: none;
  border-left: none;
  border-bottom-color: #273755;
}

.mapboxgl-popup-anchor-top-right .mapboxgl-popup-tip {
  align-self: flex-end;
  border-top: none;
  border-right: none;
  border-bottom-color: #273755;
}

.mapboxgl-popup-anchor-bottom-right .mapboxgl-popup-tip {
  align-self: flex-end;
  border-bottom: none;
  border-right: none;
  border-top-color: #273755;
}

.mapboxgl-popup-anchor-bottom-left .mapboxgl-popup-tip {
  align-self: flex-start;
  border-bottom: none;
  border-left: none;
  border-top-color: #273755;
}

.close-drawer-toggle {
  background: transparent;
  width: 24px;
  height: 24px;
  padding: 0;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.close-drawer-toggle:hover {
  background: #3b537f;
  border-radius: 4px;
}

.open-drawer-toggle {
  background: transparent;
  width: 24px;
  height: 24px;
  padding: 0;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.open-drawer-toggle:hover {
  background: #3b537f;
  border-radius: 4px;
}

.drawer-overlay {
  pointer-events: none;
  background-color: transparent !important;
}

.hamburger-menu-button {
  background: transparent;
  width: 24px;
  height: 24px;
  padding: 0;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.hamburger-menu-button:hover {
  background: #3b537f;
  border-radius: 4px;
}

.icon-drawer-close {
  width: 24px;
  height: 24px;
  display: block;
}

.header-style {
  display: flex;
  align-items: center;
  gap: 40px;
  padding: 16px;
  position: relative;
}


.screen-search-field {
  z-index: 2000;
}

.project-mode-panel-style {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 398px;
  background-color: #FAFBFD;
  box-shadow: 0 0 8px 0 rgba(0, 0, 0, .12), 0 8px 8px 0 rgba(0, 0, 0, .24);
}



.fullScreenSearchField {
  display: none;
}

.screen-switching {
  display: none;
}

.switching-container {
  position: relative;
}

.header-menu {
  position: relative;
}

.header-menu-button {
  white-space: nowrap;
  position: relative;
  background: transparent;
  border: transparent;
  padding: 0;
  left: 0%;
}

.map-change-button {
  display: flex;
  gap: 40px;
  z-index: 5;
}

.map-change-button.project-mode-style {
  position: absolute;
  top: 20px;
  left: 406px !important;
}


/* サイドバー用 */
.address-list {
  display: none;
  list-style: none;
  padding: 0;
  margin-top: 5px;
  overflow: auto;
  width: 345px;
  position: fixed;
  top: 56px;
  left: 20px;
  z-index: 3000;
  background-color: #FAFBFD;
}

.address-list li.address-item,
.address-list li.project-item {
  display: flex;
  align-items: center;
}

.address-list li {
  float: none;
  display: block;
  color: #141415;
  width: 100%;
}

.address-list li:hover {
  background-color: #DCDFE5;
}

.search-container {
  position: relative;
}

.sidebar-container {
  display: flex;
  flex-direction: column;
  padding-bottom: 16px;
  height: 100%;
}

/* 標準地図チェックアイコン */
.standard_map_check_image {
  margin: 0 8px;
  display: block;
}

.geo-map1987_check_image {
  margin: 0 8px;
  display: none;
}

.geo-map1984_check_image {
  margin: 0 8px;
  display: none;
}

.geo-map1979_check_image {
  margin: 0 8px;
  display: none;
}

.geo-map1974_check_image {
  margin: 0 8px;
  display: none;
}

.geo-map1961_check_image {
  margin: 0 8px;
  display: none;
}

.geo-map1945_check_image {
  margin: 0 8px;
  display: none;
}

.geo-map1936_check_image {
  margin: 0 8px;
  display: none;
}

.geo-map1928_check_image {
  margin: 0 8px;
  display: none;
}

.latest_map_check_image {
  margin: 0 8px;
  display: none;
}

.geological_map_check_image {
  margin: 0 8px;
  display: none;
}

.street_map_check_image {
  margin: 0 8px;
  display: none;
}

.registry_office_map_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.mms_map_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.forest_plan_map_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.standtype_map_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.cs_map_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.slope_map_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.slope_map_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.sugi_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.hinoki_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.matsu_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.other_check_image {
  margin: 0 8px;
  display: none;
  margin-left: auto;
}

.landslide-warning_check_image {
  margin: 0 8px;
  display: none;
}

.sabo_check_image {
  margin: 0 8px;
  display: none;
}

/* メニューデザイン
/* MMS */
.mmsLayerlist-item {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}


/* ポリゴン・ライン・スポット、地上計測アップロード、ゾーニングなどのメニューリスト */
.menuList {
  display: none;
  background: #FAFBFD;
  border-radius: 8px;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
  width: 200px;
  height: auto;
  z-index: 1000;
  padding: 8px 0;
  position: fixed;
  top: 62px;
}

.menuList .menu-item {
  width: 100%;
  background: transparent;
  border: none;
  color: #141415;
  text-align: left;
  font-size: 14px;
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 5px 8px;
}

.menuList .menu-item:hover {
  background-color: #DCDFE5;
}

.menuList ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

/* ツールチップのスタイル */
.tooltipMenuButton {
  display: none;
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  margin-top: 5px;
  background-color: #EBEEF3;
  color: #141415;
  padding: 5px 10px;
  border-radius: 4px;
  font-size: 12px;
  white-space: nowrap;
  z-index: 20000000;
}

/* ツールチップの三角形 */
.tooltipMenuButton::after {
  content: '';
  position: absolute;
  top: -5px;
  left: 50%;
  transform: translateX(-50%);
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-bottom: 5px solid #EBEEF3;
}

/* ボタンの位置を相対的にする */
.menu-icon-button {
  position: relative;
  border-radius: 4px;
  cursor: pointer;
  outline: none;
  border: none;
  height: 32px;
  width: 32px;
  background: #FAFBFD;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
}


/* ボタンにホバーするとツールチップを表示 */
.menu-icon-button:hover .tooltipMenuButton {
  display: block;
}

/* 組織登録・プロジェクト登録ボタン */
.registration-button {
  background: #FAFBFD;
  color: #141415;
  border-radius: 16px;
  padding: 0 12px;
  cursor: pointer;
  border: none;
  outline: none;
  height: 32px;
  width: 100%;
  font-size: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
  opacity: 1;
}

/* 組織登録・プロジェクト登録ボタンのラベルが縦になる */
.registration-button span {
  writing-mode: unset;
  white-space: nowrap;
}

.profile-button {
  background: #FAFBFD;
  color: #5B5F66;
  border-radius: 20px;
  cursor: pointer;
  border: none;
  outline: none;
  height: 40px;
  width: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: fixed;
  top: 18px;
  right: 16px;
  z-index: 1001;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
}

.chat-button {
  background: #0D1B36;
  color: #141415;
  border-radius: 20px;
  cursor: pointer;
  border: none;
  outline: none;
  height: 40px;
  width: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: fixed;
  top: 122px;
  right: 16px;
  z-index: 1001;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
}

/* 地図切替ボタン */
/* 空中写真 */
.aerial-photo-container {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 4px 0;
  padding: 4px 8px 4px 10px;
  max-height: 28px;
}

.aerial-map-item {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 5px 8px 5px 48px;
  margin: 4px 0;
}

.aerial-maplayerlist-label {
  color: #ccc;
  font-size: smaller;
  width: 159px;
}

.candidate-list-project-container {
  cursor: pointer;
}

.candidate-list-project-container:hover {
  background-color: #DCDFE5;
}

.hazard-map-container {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 4px 0;
  padding: 4px 8px 4px 10px;
}

/* プロジェクト候補のスクロールバー */
.scrollable-container {
  overflow-y: auto;
  height: 300px;
  /* スクロール可能な高さを設定 */
}

.scrollable-container::-webkit-scrollbar {
  width: 4px;
}

.scrollable-container::-webkit-scrollbar-thumb {
  background-color: #616a7a;
  border-radius: 8px;
}

.scrollable-container::-webkit-scrollbar-track {
  border-radius: 8px;
  margin: 8px 0;
}

/* 右上のマイページアイコン */
/* メニューリストのデザイン */
.menu {
  position: fixed;
  top: 62px;
  right: 16px;
  background: #FAFBFD;
  border-radius: 8px;
  width: auto;
  z-index: 1001;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
  display: none;
}

.menu-icon:hover {
  color: #F0F3FA;
}

.menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.menu-function_button a {
  display: flex;
  align-items: center;
  gap: 32px;
  padding: 12px 24px;
  color: #141415;
  text-decoration: none;
  border-bottom: 1px solid #D2D5DA;
}

.menu-function_button .verStyle {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 32px;
  padding: 12px 24px;
  color: #5B5F66;
  text-decoration: none;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  background-color: #EBEEF3;
  font-size: 12px;

}

.menu-function_button:last-child a {
  border-bottom: none;
}

.menu-function_button a:hover {
  background-color: #DCDFE5;
}

/* マイページだけホバー時変更 */
.menu-function_button.mypage a:hover {
  background-color: #DCDFE5;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.menu-function_button .icon {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
}

.menu-label {
  font-size: 14px;
}

/* primaryボタン*/
.primary-button {
  background-color: #324C7D;
  color: #fafbfd;
  cursor: pointer;
  border-radius: 8px;
  font-weight: 500;
  border: none;
}

.secondary-button {
  background-color: #fafbfd;
  color: #141415;
  border: 1px solid #5B5F66;
  cursor: pointer;
  border-radius: 8px;
  font-weight: 500;
}

.danger-button {
  background-color: #B91C1C;
  color: #fafbfd;
  cursor: pointer;
  border-radius: 8px;
  font-weight: 500;
  border: none;
}